Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0025236
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Return Receiptmajoralways2013-11-28 04:582013-12-20 15:14
ReportersureshbabuView Statuspublic 
Assigned Tomarvintm 
PrioritynormalResolutionfixedFixed in VersionRMP29
StatusclosedFix in branchpiFixed in SCM revisionf4e7089dc442
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomalsasua
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0025236: RMP29: Wrong transaction entries appear in Transaction window

DescriptionWrong transaction entries appear in Transaction window when receipt is created with return line and the total gross amount is <0
Steps To Reproduce1) create a receipt, with return line


a) Product: Adhesive body warmers Qty:1 unit price:3.60 line total amount: 3.60

b) Product: Baby Carrier Qty: -1 unit price: 110.50 line total amount: -110.50 <Return Line>

total gross amount: -106.90

complete the receipt.


2) Navigate to cashbook financial account window
Then move to Transaction tab and verify the transaction details which is created automatically

Expected result:

Deposit Amount: 0.00
withdrawal Amount::106.90


Actual result:

Deposit Amount: 106.90
withdrawal Amount::0.00
TagsNo tags attached.
Attached Filespng file icon Error in deposit and withdrawal amount entries.png [^] (144,597 bytes) 2013-11-28 04:58

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0062440)
hgbot (developer)
2013-11-28 13:47

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: f4e7089dc44276cc227f18c5335ed3819137ec37
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Thu Nov 28 13:45:59 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/f4e7089dc44276cc227f18c5335ed3819137ec37 [^]

Fixed issue 25236. Fixed issue 25235. Now the payment information will be generated correctly for orders with positive and negative lines.

---
M src/org/openbravo/retail/posterminal/OrderLoader.java
M web/org.openbravo.retail.posterminal/js/model/order.js
---
(0062445)
malsasua (developer)
2013-11-28 15:34

verified
(0062457)
malsasua (developer)
2013-11-28 15:59

changed to target in version RMP29
(0062525)
hgbot (developer)
2013-12-04 17:07

Repository: erp/pmods/org.openbravo.retail.posterminal-splitlines
Changeset: f4e7089dc44276cc227f18c5335ed3819137ec37
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Thu Nov 28 13:45:59 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-splitlines/rev/f4e7089dc44276cc227f18c5335ed3819137ec37 [^]

Fixed issue 25236. Fixed issue 25235. Now the payment information will be generated correctly for orders with positive and negative lines.

---
M src/org/openbravo/retail/posterminal/OrderLoader.java
M web/org.openbravo.retail.posterminal/js/model/order.js
---
(0062595)
hgbot (developer)
2013-12-05 12:14

Repository: erp/pmods/org.openbravo.retail.posterminal.cirque
Changeset: f4e7089dc44276cc227f18c5335ed3819137ec37
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Thu Nov 28 13:45:59 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.cirque/rev/f4e7089dc44276cc227f18c5335ed3819137ec37 [^]

Fixed issue 25236. Fixed issue 25235. Now the payment information will be generated correctly for orders with positive and negative lines.

---
M src/org/openbravo/retail/posterminal/OrderLoader.java
M web/org.openbravo.retail.posterminal/js/model/order.js
---
(0062646)
guilleaer (developer)
2013-12-05 17:21

Reclosing
(0062923)
hgbot (developer)
2013-12-19 19:48

Repository: erp/pmods/org.openbravo.retail.posterminal.offline
Changeset: f4e7089dc44276cc227f18c5335ed3819137ec37
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Thu Nov 28 13:45:59 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.offline/rev/f4e7089dc44276cc227f18c5335ed3819137ec37 [^]

Fixed issue 25236. Fixed issue 25235. Now the payment information will be generated correctly for orders with positive and negative lines.

---
M src/org/openbravo/retail/posterminal/OrderLoader.java
M web/org.openbravo.retail.posterminal/js/model/order.js
---
(0063020)
guilleaer (developer)
2013-12-20 15:14

reclosed

- Issue History
Date Modified Username Field Change
2013-11-28 04:58 sureshbabu New Issue
2013-11-28 04:58 sureshbabu Assigned To => marvintm
2013-11-28 04:58 sureshbabu File Added: Error in deposit and withdrawal amount entries.png
2013-11-28 04:58 sureshbabu Triggers an Emergency Pack => No
2013-11-28 13:47 hgbot Checkin
2013-11-28 13:47 hgbot Note Added: 0062440
2013-11-28 13:47 hgbot Status new => resolved
2013-11-28 13:47 hgbot Resolution open => fixed
2013-11-28 13:47 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/f4e7089dc44276cc227f18c5335ed3819137ec37 [^]
2013-11-28 15:34 malsasua Review Assigned To => malsasua
2013-11-28 15:34 malsasua Note Added: 0062445
2013-11-28 15:34 malsasua Status resolved => closed
2013-11-28 15:34 malsasua Fixed in Version => RMP30
2013-11-28 15:59 malsasua Status closed => new
2013-11-28 15:59 malsasua Resolution fixed => open
2013-11-28 15:59 malsasua Fixed in Version RMP30 =>
2013-11-28 15:59 malsasua Status new => scheduled
2013-11-28 15:59 malsasua fix_in_branch => pi
2013-11-28 15:59 malsasua Status scheduled => resolved
2013-11-28 15:59 malsasua Resolution open => fixed
2013-11-28 15:59 malsasua Note Added: 0062457
2013-11-28 15:59 malsasua Status resolved => closed
2013-11-28 15:59 malsasua Fixed in Version => RMP29
2013-12-04 17:07 hgbot Checkin
2013-12-04 17:07 hgbot Note Added: 0062525
2013-12-04 17:07 hgbot Status closed => resolved
2013-12-04 17:07 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/f4e7089dc44276cc227f18c5335ed3819137ec37 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-splitlines/rev/f4e7089dc44276cc227f18c5335ed3819137ec37 [^]
2013-12-05 12:14 hgbot Checkin
2013-12-05 12:14 hgbot Note Added: 0062595
2013-12-05 12:14 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-splitlines/rev/f4e7089dc44276cc227f18c5335ed3819137ec37 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.cirque/rev/f4e7089dc44276cc227f18c5335ed3819137ec37 [^]
2013-12-05 17:21 guilleaer Note Added: 0062646
2013-12-05 17:21 guilleaer Status resolved => closed
2013-12-19 19:48 hgbot Checkin
2013-12-19 19:48 hgbot Note Added: 0062923
2013-12-19 19:49 hgbot Status closed => resolved
2013-12-19 19:49 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.cirque/rev/f4e7089dc44276cc227f18c5335ed3819137ec37 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.offline/rev/f4e7089dc44276cc227f18c5335ed3819137ec37 [^]
2013-12-20 15:14 guilleaer Note Added: 0063020
2013-12-20 15:14 guilleaer Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker